%global modulename npm-registry-fetch

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-npm-registry-fetch
Version:        3.8.0
Release:        1%{?dist}
Summary:        Fetch-based http client for use with npm registry APIs

License:        ISC
URL:            https://github.com/npm/registry-fetch#readme
Source0:        https://registry.npmjs.org/npm-registry-fetch/-/npm-registry-fetch-3.8.0.tgz

Patch0: npm2srpm-dependencies.patch

BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(JSONStream) >= 1.3.4 with npmlib(JSONStream) < 2.0.0))
BuildRequires:  ((npmlib(bluebird) >= 3.5.1 with npmlib(bluebird) < 4.0.0))
BuildRequires:  ((npmlib(figgy-pudding) >= 3.4.1 with npmlib(figgy-pudding) < 4.0.0))
BuildRequires:  ((npmlib(lru-cache) >= 4.1.3 with npmlib(lru-cache) < 5.0.0))
BuildRequires:  ((npmlib(make-fetch-happen) >= 4.0.1 with npmlib(make-fetch-happen) < 5.0.0))
BuildRequires:  ((npmlib(npm-package-arg) >= 6.1.0 with npmlib(npm-package-arg) < 7.0.0))
BuildRequires:  ((npmlib(safe-buffer) >= 5.1.1 with npmlib(safe-buffer) < 6.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Fetch-based http client for use with npm registry APIs

%package 3.8.0
Summary:        Fetch-based http client for use with npm registry APIs


%description 3.8.0
Fetch-based http client for use with npm registry APIs

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr auth.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr check-response.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr config.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr errors.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr silentlog.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc LICENSE.md
%doc README.md
%{nodejs_dir}/%{modulename}

%files 3.8.0
%doc CHANGELOG.md
%doc LICENSE.md
%doc README.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Mon Nov 19 2018 npm2srpm <dshea@redhat.com> - 3.8.0-1
- Package automatically generated by npm2srpm
